QGIS freezes when pasting text into the field calculator new expression builder

2012-01-30 05:47 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 14720

Description

On master I'm noticing the following:

if I open the field calculator and I try to paste text into the expression builder (copied from an external application, like gedit or evolution),

then QGIS freezes. Sometimes it regain life after a few minutes, more often it stops completely, cpu at 100% and killing the program is the

only way out.

History

#1 - 2012-01-30 05:50 AM - Giovanni Manghi

- Assignee changed from neteler-itc-it - to Nathan Woodrow

Actually I'm also noticing that is freezing by just doing simple things as adding a function. Not sure at this point is a local problem or not. I'll test more and

close this ticket if it turns out to be invalid.

#2 - 2012-01-30 06:09 AM - Giovanni Manghi

- File teste1_shp.zip added

weird, it does certainly happen with the attached vector.

#3 - 2012-01-30 09:59 PM - Nathan Woodrow

hmm very strange.  Seems it's related to the syntax highlighting.  If I get rid of the highlighting it doesn't lock up.  Other data sets don't have this behavior.

#4 - 2012-01-31 02:20 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:f854acb1

btw. Giovanni your shapefile has a column without a name :)

#5 - 2012-01-31 02:21 AM - Giovanni Manghi
btw. Giovanni your shapefile has a column without a name :)

yes, it is another problem of the new field calculator (I already filed a ticket).

Files

teste1_shp.zip 67.3 KB 2012-01-30 Giovanni Manghi
